Bug 1288283 - kmymoney needs to be rebuilt for EL7.2
kmymoney needs to be rebuilt for EL7.2
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: kmymoney (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 20:45 EST by Anssi Johansson
Modified: 2015-12-28 16:26 EST (History)
2 users (show)

See Also:
Fixed In Version: kmymoney-4.6.6-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 16:26:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anssi Johansson 2015-12-03 20:45:54 EST
Description of problem:
kmymoney depends on libical.so.0, provided by libical-0.48-6.el7 in RHEL 7.1.

libical was updated in RHEL 7.2, and the updated libical packages provides libical.so.1. This means kmymoney will need to be rebuilt against the new library to be usable on RHEL 7.2

Version-Release number of selected component (if applicable):
4.6.6-2.el7

Steps to Reproduce:
1. Upgrade to RHEL 7.2
2. yum install kmymoney

Actual results:
See yum complain about a missing dependency

Expected results:
kmymoney gets installed

Additional info:
EPEL7's builders have already been updated to RHEL 7.2, so it probably suffices to just bump the release number and rebuild.
Comment 1 Fedora Update System 2015-12-04 12:58:55 EST
kmymoney-4.6.6-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dd01f60cec
Comment 2 Fedora Update System 2015-12-06 03:21:19 EST
kmymoney-4.6.6-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update kmymoney'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dd01f60cec
Comment 3 Fedora Update System 2015-12-09 12:13:28 EST
kmymoney-4.6.6-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dd01f60cec
Comment 4 Fedora Update System 2015-12-10 06:22:12 EST
kmymoney-4.6.6-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update kmymoney'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dd01f60cec
Comment 5 Fedora Update System 2015-12-28 16:26:41 EST
kmymoney-4.6.6-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.